.preloader {
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: auto;
  background: -o-radial-gradient(circle, #333, #000) no-repeat;
  background: radial-gradient(circle, #333, #000) no-repeat;
  z-index: 999;
  text-align: center;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.loader {
  width: 90px;
  height: 90px;
  margin: 30px auto 100px;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transform: rotateX(45deg) rotate(45deg);
  transform: rotateX(45deg) rotate(45deg);
  position: relative;
}
.loader .loader-inner {
  width: 30px;
  height: 30px;
  background: #eb5d66;
  -webkit-box-shadow: 112px 112px 20px #000;
  box-shadow: 112px 112px 20px #000;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-animation: loading-1 2s ease-in-out infinite both;
  animation: loading-1 2s ease-in-out infinite both;
}
.loader .loader-inner:nth-child(1) {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}
.loader .loader-inner:nth-child(2) {
  -webkit-animation-delay: -2s;
  animation-delay: -2s;
}
.loader .loader-inner:before,
.loader .loader-inner:after {
  content: '';
  display: block;
  width: 30px;
  height: 30px;
  position: absolute;
}
.loader .loader-inner:before {
  background: #bb323b;
  top: 100%;
  left: 0;
  -webkit-transform-origin: center top;
  -ms-transform-origin: center top;
  transform-origin: center top;
  -webkit-transform: rotateX(-90deg);
  transform: rotateX(-90deg);
}
.loader .loader-inner:after {
  background: #e33540;
  top: 0;
  left: 100%;
  -webkit-transform-origin: center left;
  -ms-transform-origin: center left;
  transform-origin: center left;
  -webkit-transform: rotateY(90deg);
  transform: rotateY(90deg);
}

/************************ 4. Animation ***********************/

@-webkit-keyframes loading-1 {
  0%,
  100% {
    -webkit-transform: none;
    transform: none;
  }
  12.5% {
    -webkit-transform: translate(30px, 0);
    transform: translate(30px, 0);
  }
  25% {
    -webkit-transform: translate(60px, 0);
    transform: translate(60px, 0);
  }
  37.5% {
    -webkit-transform: translate(60px, 30px);
    transform: translate(60px, 30px);
  }
  50% {
    -webkit-transform: translate(60px, 60px);
    transform: translate(60px, 60px);
  }
  62.5% {
    -webkit-transform: translate(30px, 60px);
    transform: translate(30px, 60px);
  }
  75% {
    -webkit-transform: translate(0, 60px);
    transform: translate(0, 60px);
  }
  87.5% {
    -webkit-transform: translate(0, 30px);
    transform: translate(0, 30px);
  }
}
@keyframes loading-1 {
  0%,
  100% {
    -webkit-transform: none;
    transform: none;
  }
  12.5% {
    -webkit-transform: translate(30px, 0);
    transform: translate(30px, 0);
  }
  25% {
    -webkit-transform: translate(60px, 0);
    transform: translate(60px, 0);
  }
  37.5% {
    -webkit-transform: translate(60px, 30px);
    transform: translate(60px, 30px);
  }
  50% {
    -webkit-transform: translate(60px, 60px);
    transform: translate(60px, 60px);
  }
  62.5% {
    -webkit-transform: translate(30px, 60px);
    transform: translate(30px, 60px);
  }
  75% {
    -webkit-transform: translate(0, 60px);
    transform: translate(0, 60px);
  }
  87.5% {
    -webkit-transform: translate(0, 30px);
    transform: translate(0, 30px);
  }
}

@-webkit-keyframes mouse-scroll {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes mouse-scroll {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes mouse-scroll {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
@keyframes mouse-scroll {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}

@keyframes shadow-pulse {
  0% {
    box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
  }
  100% {
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
  }
}
@-webkit-keyframes shadow-pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
    box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
  }
  100% {
    -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
  }
}
@-o-keyframes shadow-pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
    box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
  }
  100% {
    -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
  }
}

@-webkit-keyframes animate-counter {
  0% {
    left: 0;
  }
}
@keyframes animate-counter {
  0% {
    left: 0;
  }
}
@-webkit-keyframes animate-positive {
  0% {
    width: 0;
  }
}
@keyframes animate-positive {
  0% {
    width: 0;
  }
}

@-webkit-keyframes hero-bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  40% {
    -webkit-transform: translateY(-30px);
    transform: translateY(-30px);
  }
  60% {
    -webkit-transform: translateY(-15px);
    transform: translateY(-15px);
  }
}
@keyframes hero-bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  40% {
    -webkit-transform: translateY(-30px);
    transform: translateY(-30px);
  }
  60% {
    -webkit-transform: translateY(-15px);
    transform: translateY(-15px);
  }
}

@-webkit-keyframes bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
  40% {
    -webkit-transform: translateY(8px);
    -ms-transform: translateY(8px);
    transform: translateY(8px);
  }
  60% {
    -webkit-transform: translateY(4px);
    -ms-transform: translateY(4px);
    transform: translateY(4px);
  }
}
@keyframes bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
  40% {
    -webkit-transform: translateY(8px);
    -ms-transform: translateY(8px);
    transform: translateY(8px);
  }
  60% {
    -webkit-transform: translateY(4px);
    -ms-transform: translateY(4px);
    transform: translateY(4px);
  }
}

@-webkit-keyframes round-animation {
  0% {
    -webkit-transform: translateX(120px);
    -ms-transform: translateX(120px);
    transform: translateX(120px);
  }
  100% {
    -webkit-transform: translateX(0px);
    -ms-transform: translateX(0px);
    transform: translateX(0px);
  }
}
@keyframes round-animation {
  0% {
    -webkit-transform: translateX(120px);
    -ms-transform: translateX(120px);
    transform: translateX(120px);
  }
  100% {
    -webkit-transform: translateX(0px);
    -ms-transform: translateX(0px);
    transform: translateX(0px);
  }
}
@-webkit-keyframes top-bottom-animation {
  0% {
    -webkit-transform: translateY(200px);
    -ms-transform: translateY(200px);
    transform: translateY(200px);
  }
  100% {
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    transform: translateY(0px);
  }
}
@keyframes top-bottom-animation {
  0% {
    -webkit-transform: translateY(200px);
    -ms-transform: translateY(200px);
    transform: translateY(200px);
  }
  100% {
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    transform: translateY(0px);
  }
}
@-webkit-keyframes bottom-top-animation {
  0% {
    -webkit-transform: translateY(-220px);
    -ms-transform: translateY(-220px);
    transform: translateY(-220px);
  }
  100% {
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    transform: translateY(0px);
  }
}
@keyframes bottom-top-animation {
  0% {
    -webkit-transform: translateY(-220px);
    -ms-transform: translateY(-220px);
    transform: translateY(-220px);
  }
  100% {
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    transform: translateY(0px);
  }
}

@-webkit-keyframes shadow-pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
    box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
  }
  100% {
    -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
  }
}
@keyframes shadow-pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
    box-shadow: 0 0 0 0px hsla(255, 255%, 255%, 0.4);
  }
  100% {
    -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.01);
  }
}

@-webkit-keyframes slide {
  0% {
    opacity: 1;
    transform: translateX(60px);
  }
  20% {
    opacity: 1;
    transform: translateX(30px);
  }
  80% {
    opacity: 1;
    transform: translateX(-30px);
  }
  100% {
    opacity: 0;
    transform: translateX(-60px);
  }
}
@keyframes slide {
  0% {
    opacity: 1;
    transform: translateX(60px);
  }
  20% {
    opacity: 1;
    transform: translateX(30px);
  }
  80% {
    opacity: 1;
    transform: translateX(-30px);
  }
  100% {
    opacity: 0;
    transform: translateX(-60px);
  }
}

@-webkit-keyframes slide-top {
  0% {
    opacity: 1;
    transform: translateY(60px);
  }
  20% {
    opacity: 1;
    transform: translateY(30px);
  }
  80% {
    opacity: 1;
    transform: translateY(-30px);
  }
  100% {
    opacity: 0;
    transform: translateY(-60px);
  }
}
@keyframes slide-top {
  0% {
    opacity: 1;
    transform: translateY(60px);
  }
  20% {
    opacity: 1;
    transform: translateY(30px);
  }
  80% {
    opacity: 1;
    transform: translateY(-30px);
  }
  100% {
    opacity: 0;
    transform: translateY(-60px);
  }
}
